Package org.apache.activemq.artemis.selector.filter

## Class BinaryExpression

- java.lang.Object
- - org.apache.activemq.artemis.selector.filter.BinaryExpression

- All Implemented Interfaces:
    `Expression`
  Direct Known Subclasses:
    `ArithmeticExpression`, `ComparisonExpression`, `LogicExpression`

      public abstract class BinaryExpression
      extends java.lang.Object
      implements Expression

  An expression which performs an operation on two expression values.
  Version:
    $Revision: 1.2 $

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Expression` | `left` |
    `protected Expression` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinaryExpression​(Expression left, Expression right)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `abstract java.lang.String` | `getExpressionSymbol()` | Returns the symbol that represents this binary expression.
    `Expression` | `getLeft()` |
    `Expression` | `getRight()` |
    `int` | `hashCode()` |
    `void` | `setLeft​(Expression expression)` |
    `void` | `setRight​(Expression expression)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.selector.filter.Expression

      `evaluate`

- - ### Field Detail

    - #### left

          protected Expression left

    - #### right

          protected Expression right

  - ### Constructor Detail

    - #### BinaryExpression

          public BinaryExpression​(Expression left,
                                  Expression right)

  - ### Method Detail

    - #### getLeft

          public Expression getLeft()

    - #### getRight

          public Expression getRight()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### getExpressionSymbol

          public abstract java.lang.String getExpressionSymbol()

      Returns the symbol that represents this binary expression. For example, addition is represented by "+"
      Returns:

    - #### setRight

          public void setRight​(Expression expression)

      Parameters:
        `expression` -

    - #### setLeft

          public void setLeft​(Expression expression)

      Parameters:
        `expression` -